View Issue Details

IDProjectCategoryView StatusLast Update
0034586FPCDocumentationpublic2018-11-23 11:03
ReporterKai BurghardtAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSGNU/LinuxOS Version4.2
Product Version3.0.4Product Build3.0.4+dfsg-11 [2017/12/30] 
Target VersionFixed in Version3.2.0 
Summary0034586: sizOf(boolean16) = 2
DescriptionThe “Free Pascal reference guide” erroneously documents sizeOf(boolean16) being 3.
Tagsdocumentation
Fixed in Revision1519
FPCOldBugId
FPCTarget
Attached Files
  • ref.tex.patch (352 bytes)
    --- ref.tex~	2018-11-22 15:46:58.158508803 +0000
    +++ ref.tex	2018-11-22 15:46:58.158508803 +0000
    @@ -1054,7 +1054,7 @@
     \begin{FPCltable}{lll}{Boolean types}{booleantypes}
     Name & Size & Ord(True) \\ \hline
     Boolean & 1 & 1 \\
    -Boolean16 & 3 & 1 \\
    +Boolean16 & 2 & 1 \\
     Boolean32 & 4 & 1 \\
     Boolean64 & 8 & 1 \\
     ByteBool & 1 & Any nonzero value \\
    
    ref.tex.patch (352 bytes)
  • hctap.xet.fer (679 bytes)

Activities

Kai Burghardt

2018-11-22 16:59

reporter  

ref.tex.patch (352 bytes)
--- ref.tex~	2018-11-22 15:46:58.158508803 +0000
+++ ref.tex	2018-11-22 15:46:58.158508803 +0000
@@ -1054,7 +1054,7 @@
 \begin{FPCltable}{lll}{Boolean types}{booleantypes}
 Name & Size & Ord(True) \\ \hline
 Boolean & 1 & 1 \\
-Boolean16 & 3 & 1 \\
+Boolean16 & 2 & 1 \\
 Boolean32 & 4 & 1 \\
 Boolean64 & 8 & 1 \\
 ByteBool & 1 & Any nonzero value \\
ref.tex.patch (352 bytes)

Kai Burghardt

2018-11-22 17:26

reporter  

hctap.xet.fer (679 bytes)

Issue History

Date Modified Username Field Change
2018-11-22 16:59 Kai Burghardt New Issue
2018-11-22 16:59 Kai Burghardt Status new => assigned
2018-11-22 16:59 Kai Burghardt Assigned To => Michael Van Canneyt
2018-11-22 16:59 Kai Burghardt File Added: ref.tex.patch
2018-11-22 16:59 Kai Burghardt Tag Attached: chart
2018-11-22 16:59 Kai Burghardt Tag Attached: documentation
2018-11-22 16:59 Kai Burghardt Tag Detached: chart
2018-11-22 17:26 Kai Burghardt File Added: hctap.xet.fer
2018-11-23 11:03 Marco van de Voort Fixed in Revision => 1519
2018-11-23 11:03 Marco van de Voort Status assigned => resolved
2018-11-23 11:03 Marco van de Voort Fixed in Version => 3.2.0
2018-11-23 11:03 Marco van de Voort Resolution open => fixed